aboutsummaryrefslogtreecommitdiffstats
path: root/test/scripts
diff options
context:
space:
mode:
authorKlement Sekera <ksekera@cisco.com>2017-04-03 04:21:46 +0000
committerDamjan Marion <dmarion.lists@gmail.com>2017-04-03 13:58:28 +0000
commita657e4e7c9cff967303a0396d7819073d8e17fea (patch)
treea8448324ab425c1ec1a737d5b8ac35db9b1b17b2 /test/scripts
parentc966ecd11ccb4e2ad8e92385a4935c8fd4586a2d (diff)
make test: tweak helper scripts
Change-Id: Iee6016757e45c832e8868f0bdcfd4192dd3380c8 Signed-off-by: Klement Sekera <ksekera@cisco.com>
Diffstat (limited to 'test/scripts')
-rwxr-xr-xtest/scripts/git_pull_or_clean.sh7
-rwxr-xr-xtest/scripts/test-loop.sh4
2 files changed, 8 insertions, 3 deletions
diff --git a/test/scripts/git_pull_or_clean.sh b/test/scripts/git_pull_or_clean.sh
index 489091f9..b119a9cc 100755
--- a/test/scripts/git_pull_or_clean.sh
+++ b/test/scripts/git_pull_or_clean.sh
@@ -1,3 +1,8 @@
#!/bin/sh
+CMD='git clean -dfX */'
-git pull | grep -q -v 'Already up-to-date.' || git clean -dfX */
+if git pull | grep -v 'Already up-to-date.'
+then
+ echo "Executing $CMD"
+ $CMD
+fi
diff --git a/test/scripts/test-loop.sh b/test/scripts/test-loop.sh
index 9f228833..17dc7c39 100755
--- a/test/scripts/test-loop.sh
+++ b/test/scripts/test-loop.sh
@@ -94,7 +94,7 @@ do
if [[ "$PRE_EXEC_CMD" != "" ]]
then
echo "Executing \`$PRE_EXEC_CMD' before test.."
- if ! ($PRE_EXEC_CMD 2>$TMP 1>$TMP)
+ if ! ($PRE_EXEC_CMD 2>&1 | tee $TMP)
then
echo "\`$PRE_EXEC_CMD' failed!" >&2
REASON="$PRE_EXEC_CMD failed"
@@ -102,7 +102,7 @@ do
fi
fi
echo -n "Running test iteration #$COUNT..."
- if ! ($CMD 2>$TMP 1>$TMP)
+ if ! ($CMD >$TMP 2>&1)
then
AFTER=`date +%s`
RUNTIME=$((AFTER-BEFORE))